Spring-5.2.3.RELEASE包对应的jackson版本是多少?

Spring-5.2.3.RELEASE包对应的jackson版本是多少?
我试了2.9和2.11都不行,请问正确的版本是什么

2个回答

图片说明

spring5.2.6->jackson2.9.8,实测好使

monkey_wei
monkey_wei 确实,我现在也在用这个配对关系,很舒服
2 个月之前 回复

Spring下没有jackson,不是指org.codehaus.jackson这个?

<!-- https://mvnrepository.com/artifact/org.codehaus.jackson/jackson-core-asl -->
<dependency>
    <groupId>org.codehaus.jackson</groupId>
    <artifactId>jackson-core-asl</artifactId>
    <version>1.9.13</version>
</dependency>
hjs218
Json-Huang 回复monkey_wei: 还是用spring下的模块,<dependency> <groupId>org.springframework</groupId> <artifactId>spring-webmvc</artifactId> <version>5.2.3.RELEASE</version> </dependency>
3 个月之前 回复
monkey_wei
monkey_wei 回复monkey_wei: 这个语句需要jackson包的导入,但是和Spring的版本冲突,网页显示不了
3 个月之前 回复
monkey_wei
monkey_wei 设置为JSON视图 mv.setView(new MappingJackson2JsonView())
3 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐